Edit an integration
curl --request PATCH \
--url https://api.nango.dev/integrations/{uniqueKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unique_key": "<string>",
"display_name": "<string>",
"forward_webhooks": true,
"credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"scopes": "<string>",
"webhook_secret": "<string>"
},
"integration_config": {}
}
'import requests
url = "https://api.nango.dev/integrations/{uniqueKey}"
payload = {
"unique_key": "<string>",
"display_name": "<string>",
"forward_webhooks": True,
"credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"scopes": "<string>",
"webhook_secret": "<string>"
},
"integration_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unique_key: '<string>',
display_name: '<string>',
forward_webhooks: true,
credentials: {
client_id: '<string>',
client_secret: '<string>',
scopes: '<string>',
webhook_secret: '<string>'
},
integration_config: {}
})
};
fetch('https://api.nango.dev/integrations/{uniqueKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"unique_key": "<string>",
"display_name": "<string>",
"provider": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"logo": "<string>",
"forward_webhooks": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}Integrations
Update an integration
Edit an integration
PATCH
/
integrations
/
{uniqueKey}
Edit an integration
Requires an API key with the
environment:integrations:update scope. Learn more about API key scopes.Authorizations
The secret key from your Nango environment.
Path Parameters
The integration ID (unique_key) that you created in Nango.
Body
application/json
A unique integration ID, which you will use in the other API calls to reference this integration.
The integration display name.
Whether to forward webhooks received for this integration.
Integration credentials schema for different authentication types.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Provider-specific configuration for providers that declare an integration_config schema (e.g. private-api-generic, aws-sigv4). Only the fields you pass are updated.
Show child attributes
Show child attributes
Response
Successfully updated an integration
Show child attributes
Show child attributes
Was this page helpful?
⌘I